<h2 [style.color]="highlightColor">Heading</h2>

<h2>{{ greetUser() }}</h2>
<h2>{{ siteUrl }}</h2>

<input [disabled]="isDisabled" type="text" placeholder="Enter your name" />
<button (click)="onClick($event)">Greet</button>{{ greeting }}
<button (click)="greeting = 'welcome'">Greet</button>

<input #myInput type="text" />
<button (click)="logMessage(myInput.value)">log</button><br />

<!-- Two way data-binding -->
<input [(ngModel)]="name" type="text" />

<!-- ngIf -->
<h2 *ngIf="displayName" else elseBlock>Heading</h2>

<ng-template #elseBlock>
  <h2>Hidden</h2>
</ng-template>

<div *ngIf="displayName; then thenBlock; else elseBlock"></div>

<ng-template #thenBlock>
  <h2>Name is Visible</h2>
</ng-template>

<ng-template #elseBlock>
  <h2>Name is Hidden</h2>
</ng-template>

<!-- ngSwitch -->
<div [ngSwitch]="color">
  <div *ngSwitchCase="'red'">You Picked Red</div>
  <div *ngSwitchCase="'blue'">You Picked blue</div>
  <div *ngSwitchCase="'green'">You Picked green</div>
  <div *ngSwitchDefalut>Pick Again</div>
</div>

<!-- ngFor -->
<div *ngFor="let color of colors">
  <h2>{{ color }}</h2>
</div>
<br />

<div *ngFor="let color of colors; index as i">
  <h2>{{ i }} {{ color }}</h2>
</div>
<br />

<div *ngFor="let color of colors; even as e">
  <h2>{{ e }} {{ color }}</h2>
</div>

<!-- pipes -->
<h2>{{ name | uppercase }}</h2>
<h2>{{ name | lowercase }}</h2>
<h2>{{ name | slice : 3 : 5 }}</h2>

<h2>{{ person | json }}</h2>

<h2>{{ 5.678 | number : "1.2-3" }}</h2>
<h2>{{ 0.25 | percent }}</h2>
<h2>{{ 0.25 | currency }}</h2>

<h2>{{ date | date }}</h2>

<h2>Employee Details</h2>
<ul>
    <li *ngFor = "let employee of employees">{{employee.id}}. {{employee.name}} - {{employee.age}}</li>
</ul> 